FSSTAT(1)

NAME
fsstat - Display details of a file system

SYNOPSIS
fsstat [-f fstype ] [-i imgtype] [-o imgoffset] [-tvV] image [images]

DESCRIPTION
fsstat displays the details associated with a file system. The output of this command is file system specific. At a minimum, the range of meta-data values (inode numbers) and content units (blocks or clusters) are given. Also given are details from the Super Block, such as mount times and and features. For file systems that use groups (FFS and EXT2FS), the layout of each group is listed. For a FAT file system, the FAT table is displayed in a condensed format. Note that the data is in sectors and not in clusters. The options are as follows:

-t type
    Print the file system type only.

-f fstype
    Specify the file system type. Use the -? option for supported types. If not given, the default type for the platform is used.

-i imgtype
    Identify the type of image file, such as raw or split. Raw is the default.

-o imgoffset
    The sector offset where the file system starts in the image. Non-512 byte sectors can be specified using '@' (32@2048).

-v  Verbose output of debugging statements to stderr

-V  Display version

image [images]
    One (or more if split) disk or partition images whose format is given with '-i'.

SEE ALSO
dd(1),

HISTORY
fsstat first appeared in TASK v1.0.

AUTHOR
Brian Carrier <carrier@sleuthkit.org>